# Cloudscreener Ruby SDK
Official Ruby SDK for Cloudscreener Decision Engine

## Installation

```ruby
gem 'cloudscreener_ruby_sdk'
```

## Usage

```ruby
require 'cloudscreener_ruby_sdk'

api = Cloudscreener::Api.new('[email]', '[password]')
api.fields = %i[name cpus dcnas]
api.providers = %i[aws gcp]
api.currency = 'EUR'

backend = Cloudscreener::VirtualMachine.new('backend')
backend.cpus = 2
backend.os = 'rhel'

frontend = Cloudscreener::VirtualMachine.new('frontend')
frontend.ram = 8 * 1024**3
frontend.os = 'linux'
frontend.qty = 4

api.add_vm(backend)
api.add_vm(frontend)

p api.search
```

## Development

### Linting

```sh
bundle exec rubocop
```

### Tests

```sh
bundle exec rspec
```
