# frozen_string_literal: true

require 'cloudscreener_ruby_sdk/virtual_machine'

RSpec.describe Cloudscreener::VirtualMachine do
  context 'query computation' do
    it 'should compute a simple query' do
      vm = Cloudscreener::VirtualMachine.new('backend')
      vm.cpus = 2
      vm.qty = 2

      expectation = {
        match: [{ field: 'pslg', op: 'in', value: %i[azure] }],
        near: [{ field: 'cpus', value: 2 }],
        qty: 2
      }

      expect(vm.compute_query(%i[azure])).to eq(expectation)
    end
  end
end
